a {
    text-decoration: none !important;
}


body {
        font-family: var(--e-global-typography-text-font-family), Sans-serif;
}

.container {
	max-width: 1610px;
	margin-left: auto;
	margin-right: auto;
}

.main_content {
    padding-left: calc((100% - 1610px) / 2);
    padding-right: 0;
}

.color_1 {
    color: #80A63D !important;
}

.color_2 {
    color: #46295C !important;
}

.color_3 {
    color: #E89313 !important;
}

.green_dot {
    position: relative;
}

.green_dot::before {
    content: '';
    background-image: url(http://localhost/hummy_gummy/wp-content/uploads/2026/04/green.svg);
    position: absolute;
    left: -25px;
    top: -18px;
    z-index: 0;
    display: block;
    width: 60px;
    height: 60px;
    background-repeat: no-repeat;
    background-size: contain;
}

.green_dot a , .green_dot h2 , .green_dot h1 {
    z-index: 10;
    position: relative;
    background-color: unset !important;
}

.custom-products {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 25px;
}

.product-card {
    background: #fff;
    border-radius: 10px;
    padding: 10px;
    position: relative;
    text-align: left;
}

.badge {
    position: absolute;
    top: 7px;
    left: 20px;
    background: #fff;
    color: #000;
    padding: 8px 14px;
    font-size: 14px;
    font-weight: 500;
    border-radius: 5px;
    text-transform: uppercase;
    font-family: var(--e-global-typography-text-font-family), sans-serif;
    transform-origin: top left;
    transform: rotate(-90deg) translateX(-100%);
}

.product-img {
    text-align: center;
    margin-bottom: 15px;
}

.product-img img {
    max-width: 100%;
	width: 100%;
}

.subtitle {
    font-size: 14px;
	font-family: var(--e-global-typography-text-font-family), sans-serif;
    color: #656565;
    text-transform: uppercase;
    margin-bottom: 5px;
	font-weight: 400;
}

.product-content h3 {
    font-size: 20px;
    font-weight: 500;
    margin: 5px 0 4px;
	color: #000;
	text-transform: uppercase;
    font-family: var(--e-global-typography-text-font-family), sans-serif;
}

.Price_box {
	display: flex;
    align-items: center;
    justify-content: space-between;
}

.product-content {
	padding: 0 6px;
}

.price {
    font-size: 18px;
    font-weight: 500;
	font-family: var(--e-global-typography-text-font-family), sans-serif;
	color: #000;
}

.price ins {
	text-decoration: none;
	margin-left: 5px;
}

.price del {
    color: #656565;
}

.rating {
    display: flex;
    align-items: center;
    margin: 8px 0;
}

.rating-number {
    margin-left: 6px;
    font-size: 14px;
    color: #333;
}


.btn-cart {
    position: relative;
    display: inline-flex;
    align-items: center;
    gap: 12px;
    border-radius: 30px;
    overflow: hidden;
	margin-top: 5px;
}

/* FILL ANIMATION */
.cart-fill {
    position: absolute;
    left: 0;
    top: 0;
    width: 0%;
    height: 100%;
    background: #19b394;
    transition: width 0.4s ease;
    z-index: 0;
}

/* LEFT ICON (CIRCLE) */
.cart-icon-left {
    width: 35px;
    height: 35px;
    background: #19b394;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
	margin-right: -20px;
}

.cart-icon-left i {
    color: #fff;
}

/* TEXT */
.cart-text {
    position: relative;
    z-index: 1;
    font-weight: 400;
    color: #000;
	font-size: 16px;
	text-transform: uppercase;
	font-family: var(--e-global-typography-text-font-family), sans-serif;
}

/* RIGHT ICON */
.cart-icon-right {
    margin-left: auto;
    position: relative;
    z-index: 1;
}

.cart-icon-right i {
    color: #000;
}

/* 🔥 HOVER EFFECT */
.btn-cart:hover .cart-fill {
    width: 100%;
}
.btn-cart:hover {
	padding: 5px 15px !important;
	height: 35px;
}

.box_btn {
	height: 50px;
}

.btn-cart:hover .cart-icon-left{
	display: none !important;
}

/* TEXT WHITE */
.btn-cart:hover .cart-text {
    color: #fff;
}

/* RIGHT ICON WHITE */
.btn-cart:hover .cart-icon-right i {
    color: #fff;
}

/* LEFT ICON INVERT */
.btn-cart:hover .cart-icon-left {
    background: #fff;
}

.btn-cart:hover .cart-icon-left i {
    color: #19b394;
}

.black {
	color: #000 !important;
}

.h_35 {
	height: 35px;
}

.custom-shop {
	padding-top: 65px;
	padding-bottom: 65px;
}

.woocommerce-Address-title h2 {
    font-size: 20px;
}

a.wc-block-components-button:focus {
    box-shadow: none;
}

a.wc-block-components-button {
    background-color: #19b394;
    text-transform: uppercase;
    border: 1px solid #19b394;
    border-radius: 6px;
    outline: none;
        box-shadow: none !important; 

}

a.wc-block-components-button:hover {
    background-color: #fff;
    color: #19b394;
}


@media (max-width: 1610px) {
	
	.container {
		max-width: 1410px;
	}
	
}

@media (max-width: 1410px) {
	.container {
		max-width:1300px;
	}
	
	.custom-shop {
		padding: 50px 10px;
	}
}

@media (max-width: 820px) {
    #border1 , #border2 {
        display: none !important;
    }

    .custom-contact-form input, .custom-contact-form textarea {
        padding: 7px 10px !important;
        font-size: 14px !important;
    }
}



.custom-contact-form {
    max-width: 100%;
}

.custom-contact-form .form-group {
    margin-bottom: 15px;
}

.custom-contact-form input,
.custom-contact-form textarea {
    width: 100%;
    padding: 9px 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 16px;
    outline: none;
    transition: 0.3s;
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
}

.custom-contact-form textarea {
    height: 75px;
}

.custom-contact-form input:focus,
.custom-contact-form textarea:focus {
    border-color: #0aa36c;
}

.btn_contact_form button {
    border: none;
    padding: 0 !important;
}

.form-group .btn_form input {
    width: auto !important;
}

.btn_form button {
    padding: 11px 15px 10px 15px !important;
     border-color: #0aa36c;
     color: #0aa36c;
}

.btn_form p {
    margin-bottom: 0 !important;
}





/* PRODUCT SINGLE PAGE DESIGN STRAT */

.product_cetegory_single .sku_wrapper , .product_cetegory_single .tagged_as , .product_cetegory_single .detail-label {
    display: none;
}

/* .single_product_prize .price {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: end;
    gap: 12px;
    margin-bottom: 0 !important;
} */

.cart_detail_single table tr th , .cart_detail_single table tr td {
    background-color: #fff !important;
    padding: 0;
}

.cart_detail_single table.variations th span {
    display: none !important;
}

.cart_detail_single table.variations th label {
    font-size: 18px;
    color: #000;
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-weight: 600 !important;
    margin-bottom: 10px !important;
}

.cart_detail_single table.variations tr td ul li {
    border: 1px solid #656565 !important;
    box-shadow: unset !important;
    margin: 0 !important;
    padding: 18px 15px !important;
    margin-right: 13px !important;
    border-radius: 50px !important;
    font-size: 18px !important;
    font-weight: 500;
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
}

.cart_detail_single table.variations tr td ul li.selected {
    border: 1px solid #23BA92 !important;
    color: #23BA92 !important;
}

.cart_detail_single .single_variation_wrap span.price {
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: 42px !important;
    line-height: 44px;
    font-weight: 600;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: end;
    gap: 12px;
    margin-bottom: 0 !important;
    color: #000 !important;
}

.cart_detail_single .single_variation_wrap span.price del{
    font-size: 18px !important;
    line-height: 20px;
    font-weight: 500 !important;
}

.cart_detail_single .single_variation_wrap .woocommerce-variation {
    margin-bottom: 25px !important;
}

/* Chrome, Safari, Edge */
input.qty::-webkit-outer-spin-button,
input.qty::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input.qty {
    -moz-appearance: textfield;
}

.cart_detail_single .quantity {
    border: 1px solid #656565;
    border-radius: 50px;
    padding: 8px 18px;
}

.cart_detail_single .quantity button , .cart_detail_single .quantity input {
    border: 0 !important;
    padding: 0 !important;
    margin: 0 !important;
}

.cart_detail_single .quantity button:hover , .cart_detail_single .quantity button:focus {
    background-color: unset !important;
    fill: #0aa36c !important;
    color: #0aa36c;
}

.cart_detail_single .single_variation_wrap button.single_add_to_cart_button {
    font-family: var(--e-global-typography-accent-font-family), Sans-serif;
    font-size: var(--e-global-typography-accent-font-size);
    font-weight: var(--e-global-typography-accent-font-weight);
    text-transform: var(--e-global-typography-accent-text-transform);
    line-height: var(--e-global-typography-accent-line-height);
    border-radius: 20px 20px 20px 20px;
    background-color: #23BA92;
    border: 1px solid #23BA92;
}

.cart_detail_single .single_variation_wrap button.single_add_to_cart_button:hover {
    background-color: #fff;
    color: #23BA92;
}



/* Main gallery container */
.woocommerce-product-gallery {
    display: flex !important;
    align-items: flex-start;
    gap: 20px;
}

/* Thumbnail list (left side) */
.flex-control-nav.flex-control-thumbs {
    order: 1;
    /* width: 200px !important; */
    display: flex !important;
    flex-direction: column;
    gap: 10px;
    margin-right: 15px;
}

/* Thumbnail images */
.flex-control-nav.flex-control-thumbs li {
    width: 100% !important;
}

.flex-control-nav.flex-control-thumbs img {
    width: 100%;
    cursor: pointer;
    height: 150px !important;
    border-radius: 6px;
    opacity: 1 !important;
}

/* Main image (right side) */
.flex-viewport {
    order: 2;
    width: 100%;
}

/* Remove fixed height issue */
.flex-viewport {
    height: auto !important;
}


@media (max-width: 768px) {
    .woocommerce-product-gallery {
        flex-direction: column;
    }

    .flex-control-nav.flex-control-thumbs {
        flex-direction: row;
        width: 100%;
        overflow-x: auto;
    }
}

.product_tab_desption ul li {
    margin-bottom: 12px;
}


.custom-rating-summary {
    display: flex;
    gap: 40px;
    /* background: #cfe3eb; */
    padding: 40px;
    border-radius: 10px;
    align-items: center;
}

.custom-rating-summary .left {
    width: 30%;
}

.custom-rating-summary .middle {
    width: 40%;
}

.custom-rating-summary .right {
    width: 25%;
    text-align: center;
}

.bar {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 8px;
}

.progress {
    flex: 1;
    background: #f5f5f5;
    height: 5px;
    border-radius: 10px;
}

.fill {
    background: #feb334;
    height: 100%;
    border-radius: 10px;
}

.review-btn {
    font-family: var(--e-global-typography-accent-font-family), Sans-serif;
    font-size: var(--e-global-typography-accent-font-size);
    font-weight: var(--e-global-typography-accent-font-weight);
    text-transform: var(--e-global-typography-accent-text-transform);
    line-height: var(--e-global-typography-accent-line-height);
    border-radius: 50px;
    background-color: #23BA92;
    padding: 8px 16px;
    color: #fff;
}

.review-btn:hover {
    background-color: #fff;
    color: #23BA92;
}

.custom-rating-summary h4 {
    font-size: 24px;
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-weight: 600;
    color: #000;
    text-align: center;
}

#review_form_wrapper {
    display: none;
}

#comments .woocommerce-Reviews-title {
    display: none;
}

.product_review_section .woocommerce-Reviews .commentlist li .comment_container img {
    width: 50px !important;
    height: 50px !important;
    border: 0 !important;
    padding: 0 !important;
    border-radius: 50% !important;
}

.product_review_section .woocommerce-Reviews .commentlist li .comment-text {
    border: 0 !important;
} 

.woocommerce .star-rating span::before {
    color: #feb334 !important;
    box-shadow: 0px 15px 40px rgba(0, 0, 0, 0.8);
}

.product_review_section .woocommerce-Reviews .commentlist li .comment_container .meta strong.woocommerce-review__author {
    display: block !important;
    font-size: 20px;
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-weight: 500;
    color: #000;
    text-transform: uppercase;
}

.product_review_section .woocommerce-Reviews .commentlist li .comment_container .comment-text {
    padding-top: 6px !important;
}

.product_review_section .woocommerce-Reviews .commentlist li .comment_container .meta span.woocommerce-review__dash {
    display: none !important;
}

.product_review_section .woocommerce-Reviews .commentlist li .comment_container .meta time.woocommerce-review__published-date {
    color: #3C3C3C;
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: 16px;
}

.product_review_section .woocommerce-Reviews .commentlist li .comment_container .description p {
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: var(--e-global-typography-text-font-size);
    font-weight: var(--e-global-typography-text-font-weight);
    line-height: var(--e-global-typography-text-line-height);
    color: var(--e-global-color-text);
}

.product_review_section .woocommerce-Reviews .commentlist li {
    padding-bottom: 15px !important;
    border-bottom: 1px solid #b9b9b9 !important;
    margin-bottom: 30px !important;
}

.product_review_section .woocommerce-Reviews .commentlist li:last-child {
    margin-bottom: 0 !important;
    border-bottom: none !important;
}

.custom-rating-summary .rating {
    justify-self: center;

}

.custom-rating-summary p {
    text-align: center;
    font-size: 18px;
    color: #3C3C3C;
}

.stars:hover a {
    color: #feb334 !important;
}


/* Main Wrapper */
#review_form_wrapper {
    background: #ffffff;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
    width: 60%;
    margin: auto;
	margin-bottom: 50px !important;
}

/* Title */
#reply-title {
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 20px;
    display: block;
}

/* Labels */
#review_form label {
    font-weight: 500;
    margin-bottom: 5px;
    display: block;
}

/* Inputs + Textarea */
#review_form input,
#review_form textarea,
#review_form select {
    width: 100%;
    padding: 12px 15px;
    border: 1px solid #ddd;
    border-radius: 8px;
    margin-bottom: 15px;
    font-size: 14px;
    transition: all 0.3s ease;
}

/* Focus Effect */
#review_form input:focus,
#review_form textarea:focus {
    border-color: #1abc9c;
    outline: none;
    box-shadow: 0 0 0 2px rgba(26,188,156,0.1);
}

/* Rating Stars spacing */
.comment-form-rating {
    margin-bottom: 15px;
}

/* Submit Button */
#review_form .submit {
    background: #1abc9c;
    color: #fff;
    padding: 12px 25px;
    border-radius: 30px;
    border: none;
    cursor: pointer;
    font-weight: 500;
    transition: 0.3s;
}

/* Button Hover */
#review_form .submit:hover {
    background: #16a085;
}

/* Checkbox */
.comment-form-cookies-consent {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 13px;
}

/* Small text */
.comment-notes {
    /* font-size: 13px; */
    margin-bottom: 10px;
    color: #777;
}

#review_form p.comment-form-cookies-consent {
    align-items: center;
}

#review_form p.comment-form-cookies-consent input {
    width: auto !important;
    margin-bottom: 0 !important;
}

#review_form p.form-submit input {
    width: auto !important;
    background-color: #1abc9c !important;
    color: #fff !important;
    padding: 12px 25px !important;
    border-radius: 30px !important;
    border: none !important;
    cursor: pointer !important;
    font-weight: 500 !important;
    transition: 0.3s !important;
    border: 1px solid #23BA92 !important;
}

#review_form p.form-submit input:hover {
    color: #23BA92 !important;
    background-color: #fff !important;
}

.woocommerce p.stars a {
    font-size: 16px !important;
}

.faqs_tab .e-n-accordion-item-title-text{
    display: flex;
    gap: 15px;
}



@media (max-width: 1610px) {
    .cart_detail_single table.variations tr td ul li {
        padding: 16px 10px !important;
        margin-right: 10px !important;
        font-size: 16px !important;
        line-height: 16px !important;
    }

    .product_tab_desption ul {
        padding: 0 !important;
    }
}

@media (max-width: 1410px) {
    .cart_detail_single table.variations tr td ul li {
        margin-bottom: 10px !important;
    }
}

@media (max-width: 992px) {
    .custom-rating-summary h4 {
        font-size: 18px !important;
    }

    .custom-rating-summary {
        padding: 0 !important;
    }

    #review_form_wrapper {
        width: 100%;
    }

    .woocommerce #reviews #comment {
        height: 50px;
    }

    .cart_detail_single .single_variation_wrap span.price {
        font-size: 32px !important;
        line-height: 36px;
    }

    .product_tab_desption ul {
        padding: 0 0 0 30px !important;
    }
}

@media (max-width: 680px) {
    .cart_detail_single table.variations tr td ul li {
        padding: 12px 8px !important;
        margin-right: 5px !important;
        font-size: 14px !important;
        line-height: 14px !important;
    }

    .cart_detail_single table.variations th label {
            font-size: 16px;
    }

    .cart_detail_single .single_variation_wrap span.price {
        font-size: 28px !important;
        line-height: 30px;
    }

    .woocommerce .quantity .qty {
        width: 2.631em !important;
        font-size: 14px;
    }

    .qty-btn i {
        font-size: 14px;
    }

    .cart_detail_single .single_variation_wrap button.single_add_to_cart_button {
        font-size: 14px;
        line-height: 14px;
        padding: 6px 16px !important;
    }

    .flex-control-nav.flex-control-thumbs img {
        height: 100px !important;
    }

    .img_style img {
        width: 25px;
    }

    .custom-rating-summary {
        flex-direction: column;
        gap: 20px;
    }

    .custom-rating-summary .left , .custom-rating-summary .middle , .custom-rating-summary .right {
        width: 100%;
    }

    #review_form_wrapper {
        padding: 22px;
    }

    .woocommerce #reviews #comments  ol {
        padding-left: 0;
    }

    .product_review_section .woocommerce-Reviews .commentlist li .comment_container .meta strong.woocommerce-review__author {
        font-size: 18px;
    }

    .product_review_section .woocommerce-Reviews .commentlist li {
        margin-bottom: 15px !important;
    }

    .product_review_section .woocommerce-Reviews .commentlist li .comment_container img {
        width: 40px !important;
        height: 40px !important;
    }

    .product_review_section .woocommerce-Reviews .commentlist li .comment_container .comment-text {
        padding-top: 2px !important;
        margin-left: 40px !important;
    }

    #review_form input, #review_form textarea, #review_form select {
        padding: 8px 12px !important;
        margin-bottom: 8px;
    }

    .woocommerce #reviews #comment {
        height: 40px;
    }

    #reviews {
        margin-top: 20px !important;
    }

}